Bug 1198192 (CVE-2015-2157)

Summary: CVE-2015-2157 putty: failure to scrub private keys from memory after use
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, jskarvad, tremble
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: PuTTy 0.64 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:39:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1198194, 1198195    
Bug Blocks:    

Description Vasyl Kaigorodov 2015-03-03 14:30:20 UTC
It was reported [1] that PuTTy versions prior to 0.64 after loading a private key from a disk file, mistakenly leak a memory buffer containing a copy of the private key.
Upstream commit that fixes this:
http://tartarus.org/~simon-git/gitweb/?p=putty.git;a=commit;h=65f69bca7363ceceeac515ae2a82b8f8adc6404d

[1]: http://www.chiark.greenend.org.uk/~sgtatham/putty/wishlist/private-key-not-wiped-2.html

Comment 1 Vasyl Kaigorodov 2015-03-03 14:34:06 UTC
Created putty tracking bugs for this issue:

Affects: fedora-all [bug 1198194]
Affects: epel-all [bug 1198195]

Comment 2 Fedora Update System 2015-03-13 17:26:09 UTC
putty-0.64-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-03-14 09:13:38 UTC
putty-0.64-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-03-14 09:23:06 UTC
putty-0.64-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-03-25 19:57:27 UTC
putty-0.63-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-25 20:00:10 UTC
putty-0.63-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:39:24 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.